#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB0,0x09,0x9B,0xA7,0xF7,0x6E,0x7F,0xD9,0xC7,0x73,0xF3,0xF5,
		0xA7,0xA1,0xE3,0x92,0xB1,0xB8,0xAA,0x3C,0x6D,0x76,0x83,0x02,
		0x74,0x58,0xB8,0x3A,0x21,0xB9,0x78,0x55,0xFE,0x36,0x42,0x06,
		0x07,0xA3,0x52,0x2A,0xDF,0x16,0x56,0xE4,0xA0,0xDF,0x6F,0x8D,
		0x81,0xC4,0x3D,0xA1,0xB1,0x85,0x88,0x33,0x32,0x31,0x42,0x25,
		0x84,0xF7,0x63,0x33,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
